com.h3c.of.lib.err

## Enum ECodeBadRequest

- java.lang.Object
- - java.lang.Enum<ECodeBadRequest>
  - - com.h3c.of.lib.err.ECodeBadRequest

- All Implemented Interfaces:
    ErrorCode, OfpCodeBasedEnum, OfpEnum, Serializable, Comparable<ECodeBadRequest>

      public enum ECodeBadRequest
      extends Enum<ECodeBadRequest>
      implements ErrorCode

  Designates the error codes associated with the `ErrorType.BAD_REQUEST` error type.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BAD_EXP_TYPE` Experimenter type not supported; Since 1.0.
    `BAD_EXPERIMENTER` Experimenter is not supported; Since 1.0.
    `BAD_LEN` Wrong request length for type; Since 1.0.
    `BAD_PACKET` Invalid packet in packet-out; Since 1.2.
    `BAD_PORT` Invalid port; Since 1.2.
    `BAD_STAT` OpenFlow Protocol Stats Request - type not supported; Since 1.0.
    `BAD_TABLE_ID` Specified table-id invalid or does not exist; Since 1.1.
    `BAD_TYPE` OpenFlow Protocol Header - type not supported; Since 1.0.
    `BAD_VERSION` OpenFlow Protocol Header - version not supported; Since 1.0.
    `BUFFER_EMPTY` Specified buffer has already been used; Since 1.0.
    `BUFFER_UNKNOWN` Specified buffer does not exist; Since 1.0.
    `EPERM` Permissions error; Since 1.0.
    `IS_SLAVE` Denied because controller is slave; Since 1.2.
    `MP_BUFFER_OVERFLOW` Multipart-Request overflowed the assigned buffer; Since 1.3.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode(ProtocolVersion pv)` Returns the code for the constant, under the given protocol version.
    `ErrorType` | `parentType()` Returns the parent error type for this error code.
    `static void` | `validate(ECodeBadRequest code, ProtocolVersion pv)` Validates the given error code against the specified protocol version, silently returning if all is well, throwing an exception otherwise.
    `static ECodeBadRequest` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ECodeBadRequest[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BAD_VERSION

          public static final ECodeBadRequest BAD_VERSION

      OpenFlow Protocol Header - version not supported; Since 1.0.

    - #### BAD_TYPE

          public static final ECodeBadRequest BAD_TYPE

      OpenFlow Protocol Header - type not supported; Since 1.0.

    - #### BAD_STAT

          public static final ECodeBadRequest BAD_STAT

      OpenFlow Protocol Stats Request - type not supported; Since 1.0.

    - #### BAD_EXPERIMENTER

          public static final ECodeBadRequest BAD_EXPERIMENTER

      Experimenter is not supported; Since 1.0. (Renamed from `BAD_VENDOR` at 1.1.)

    - #### BAD_EXP_TYPE

          public static final ECodeBadRequest BAD_EXP_TYPE

      Experimenter type not supported; Since 1.0. (Renamed from `BAD_SUBTYPE` at 1.2.)

    - #### EPERM

          public static final ECodeBadRequest EPERM

      Permissions error; Since 1.0.

    - #### BAD_LEN

          public static final ECodeBadRequest BAD_LEN

      Wrong request length for type; Since 1.0.

    - #### BUFFER_EMPTY

          public static final ECodeBadRequest BUFFER_EMPTY

      Specified buffer has already been used; Since 1.0.

    - #### BUFFER_UNKNOWN

          public static final ECodeBadRequest BUFFER_UNKNOWN

      Specified buffer does not exist; Since 1.0.

    - #### BAD_TABLE_ID

          public static final ECodeBadRequest BAD_TABLE_ID

      Specified table-id invalid or does not exist; Since 1.1.

    - #### IS_SLAVE

          public static final ECodeBadRequest IS_SLAVE

      Denied because controller is slave; Since 1.2.

    - #### BAD_PORT

          public static final ECodeBadRequest BAD_PORT

      Invalid port; Since 1.2.

    - #### BAD_PACKET

          public static final ECodeBadRequest BAD_PACKET

      Invalid packet in packet-out; Since 1.2.

    - #### MP_BUFFER_OVERFLOW

          public static final ECodeBadRequest MP_BUFFER_OVERFLOW

      Multipart-Request overflowed the assigned buffer; Since 1.3.

  - ### Method Detail

    - #### values

          public static ECodeBadRequest[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ECodeBadRequest c : ECodeBadRequest.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ECodeBadRequest valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### parentType

          public ErrorType parentType()

      Description copied from interface: `ErrorCode`
      Returns the parent error type for this error code.
      Specified by:
        `parentType` in interface `ErrorCode`
      Returns:
        the parent error type

    - #### getCode

          public int getCode(ProtocolVersion pv)

      Description copied from interface: `OfpCodeBasedEnum`
      Returns the code for the constant, under the given protocol version.
      Specified by:
        `getCode` in interface `OfpCodeBasedEnum`
      Parameters:
        `pv` - the protocol version
      Returns:
        the code for the constant

    - #### validate

          public static void validate(ECodeBadRequest code,
                      ProtocolVersion pv)

      Validates the given error code against the specified protocol version, silently returning if all is well, throwing an exception otherwise.
      Parameters:
        `code` - the code
        `pv` - the protocol version
      Throws:
        `VersionMismatchException` - if the code is not defined in the given protocol version

Copyright © 2014. All Rights Reserved.